GNU bug report logs - #21617
Emacs compilation mode prevents child processes from spawning/forking daemons

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Pogonyshev <pogonyshev@HIDDEN>; Keywords: confirmed; merged with #15695, #16019, #21866; dated Mon, 5 Oct 2015 08:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15695 16019 21617 21866. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 16019 21617 21866. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 21617 <at> debbugs.gnu.org:


Received: (at 21617) by debbugs.gnu.org; 14 Jun 2016 21:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 14 17:51:47 2016
Received: from localhost ([127.0.0.1]:40924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bCwFP-0006du-1X
	for submit <at> debbugs.gnu.org; Tue, 14 Jun 2016 17:51:47 -0400
Received: from mail-oi0-f46.google.com ([209.85.218.46]:33549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1bCwFN-0006dg-EV
 for 21617 <at> debbugs.gnu.org; Tue, 14 Jun 2016 17:51:45 -0400
Received: by mail-oi0-f46.google.com with SMTP id u201so5986542oie.0
 for <21617 <at> debbugs.gnu.org>; Tue, 14 Jun 2016 14:51:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:from:date:message-id:subject:to:cc;
 bh=mjLCOkKsBzEg9jtBi5hFvu1C99aA2zZXunkAwvDTM/Y=;
 b=Iv2achJCDkxKr8z52JmxLX2Qr6srStvl7orPDe/JOe7jx2TUegdP5lBpQ50Dj1HHRA
 QE/KOmiiZh1e6a5OYvk5J9JOMMWzlX0oqd2gf9k3SjJMleJ1fwpoxrxI8Yu8pUNJizdb
 U7wu3mF59pxWWylxoxJVavpWXn+q50oe2d7WXVuaH/t/L3quL9/T08vrtE3gtqe147cb
 TD4Jwk5GCr9nvF+EgVZenZ4seRszxnC+4cptlsGAQfrIaF4WtQXFQt9ashncxdcAATMv
 PYe8gZpoegHin84lyv2cHj/WQJVbfUZCcfJWgWOksK4gPKl1XTPnAZ/AlTihxZO+zxlV
 2Q8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to:cc;
 bh=mjLCOkKsBzEg9jtBi5hFvu1C99aA2zZXunkAwvDTM/Y=;
 b=YTQekb71sD0vsToTUhGkq4LfvhYF6hM34freXtvXJ7MTgsTJfzrhrZXUvGmHbtIcd4
 Yhj1v7PKrGJDGqtsKGxfvH6PfWG0uWBsLACEexVVkoyMv4/PJsSNMGNyVokTB8B8MrOZ
 Hkdsv1SBDXSvzIhJ8W0G/1/0pCFqZRl/IA6OozTrCB+lRe3qVpyRAg8H9KmdqBBURl3K
 NfTEEnvmjEsTJlXYi44+X0XrHcHmNg0nkb9fVqtibZTJNt5L3rH7Ru2+Q5jG7UiRPTMw
 qSNLoWt/nZBNIEiqfmuQFBAxf/cWkrHeQ+ALALidEmM1SkZzNIk+WT1JllkJauQbdiNo
 Szsw==
X-Gm-Message-State: ALyK8tIuS2+F5tzY+DZV9oTpJxk/EnBeAriEx0zAjJuhGkTMwGG0nSMh6KnSiUh/3dRbHmPV+VuJOdVHcY7FWg==
X-Received: by 10.202.80.195 with SMTP id e186mr10056399oib.35.1465941100045; 
 Tue, 14 Jun 2016 14:51:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.5.168 with HTTP; Tue, 14 Jun 2016 14:51:39 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
Date: Tue, 14 Jun 2016 17:51:39 -0400
X-Google-Sender-Auth: ui6g4wOdIU1zW-yokT3cIcD_2M0
Message-ID: <CAM-tV-9Gao1Me+K5YriLmR3R_CV0W=WoOJdF0nWW4REZyRzwrg@HIDDEN>
Subject: Re: bug#21617: Emacs compilation mode prevents child processes from
 spawning/forking daemons
To: 21617 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 21617
Cc: Eli Zaretskii <eliz@HIDDEN>, Paul Pogonyshev <pogonyshev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

This sounds like http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21866
and http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16019, Emacs sends
SIGHUP to all children of pty subprocesses. The "user interrupt"
mentioned above could be the SIGHUP.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21617; Package emacs. Full text available.

Message received at 21617 <at> debbugs.gnu.org:


Received: (at 21617) by debbugs.gnu.org; 5 Oct 2015 09:43:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 05:43:51 2015
Received: from localhost ([127.0.0.1]:54856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zj2JD-0000SQ-ER
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2015 05:43:51 -0400
Received: from mail-io0-f175.google.com ([209.85.223.175]:35197)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj2JB-0000SI-HR
 for 21617 <at> debbugs.gnu.org; Mon, 05 Oct 2015 05:43:50 -0400
Received: by ioiz6 with SMTP id z6so178840495ioi.2
 for <21617 <at> debbugs.gnu.org>; Mon, 05 Oct 2015 02:43:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=PeTlKuDQBUX5shpb5Ktber1FLXiyhugFGWV5lBvh0PM=;
 b=X3uvWgzLhks5krWUSOpPTsAEbCtCOpO8HGWUOp3QGlK+4s0u80r7P34RGe5FKBMnru
 enXtwLC8ftDxfDZlKbU0XZe4wvLntYrQ1+9RC+45hCCysuFoNxBOL84MUWw+lua5rhcB
 IoQ4eTvBsiKus1zEScjZbH8U66TK5qYI1KlvY6cSf0zawfNpfgY8RqB23n+p2xzHnkqA
 ZAJqImBX5ElvDmaKKpX8iFPOemNrtSO4gpNCYkSKJPIJHu0LxTiMQ3zAa7O5dZRBfl9M
 y/fPEGFZc+cD4Bs/ZKa2c/AtYbEAjvF98P8Pde3lEbvG3cPvp55BirQ3HLYnA3olYHHM
 1rmw==
MIME-Version: 1.0
X-Received: by 10.107.166.79 with SMTP id p76mr27526149ioe.163.1444038228865; 
 Mon, 05 Oct 2015 02:43:48 -0700 (PDT)
Received: by 10.36.25.67 with HTTP; Mon, 5 Oct 2015 02:43:48 -0700 (PDT)
In-Reply-To: <83pp0tzmy7.fsf@HIDDEN>
References: <CAG7BpaqKornYbZ=SYvGopw9tj+VrByRjYLQUigror76kBsg5CQ@HIDDEN>
 <83pp0tzmy7.fsf@HIDDEN>
Date: Mon, 5 Oct 2015 11:43:48 +0200
Message-ID: <CAG7BpaowvTmFret+EErgezmr-Qwmgr7yQMJ3QSoD+nt-8kY0LQ@HIDDEN>
Subject: Re: bug#21617: Emacs compilation mode prevents child processes from
 spawning/forking daemons
From: Paul Pogonyshev <pogonyshev@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1141f37eac7869052158595c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21617
Cc: 21617 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1141f37eac7869052158595c
Content-Type: text/plain; charset=UTF-8

> I just tried
>
>   M-x compile RET C-a C-k emacs -Q -daemon RET
>
> and that started a daemon which stayed up in the air and didn't exit
> or get killed.

Yeah, it also works here. I can only guess that Gradle daemon is terminated
if
stdout is closed before the main process is shut down or something like
that.

> If you see the same on your system, then Gradle,
> whatever that is, is indeed somehow involved in this, because without
> it everything works as you expected.

It's a pretty standard build tool (Make of sorts) in a Java world. They
will of
course tell me (for the second time, I already asked for support for this
problem
before) it's an Emacs' fault, because outside it Gradle works fine.

> Also, you didn't tell which version of Emacs you used (I used the
> latest development sources).

GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.9) of
2015-08-27,
a fairly recent trunk.

Paul

--001a1141f37eac7869052158595c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div><div>&gt; I just tried<br>&gt; <br>&gt; =C2=
=A0 M-x compile RET C-a C-k emacs -Q -daemon RET<br>&gt; <br>&gt; and that =
started a daemon which stayed up in the air and didn&#39;t exit<br>&gt; or =
get killed.<br><br></div>Yeah, it also works here. I can only guess that Gr=
adle daemon is terminated if<br>stdout is closed before the main process is=
 shut down or something like that.<br><br>&gt; If you see the same on your =
system, then Gradle,<br>&gt; whatever that is, is indeed somehow involved i=
n this, because without<br>&gt; it everything works as you expected.<br><br=
></div>It&#39;s a pretty standard build tool (Make of sorts) in a Java worl=
d. They will of<br></div>course tell me (for the second time, I already ask=
ed for support for this problem<br>before) it&#39;s an Emacs&#39; fault, be=
cause outside it Gradle works fine.<br></div><div><div><div><div>
<br>&gt; Also, you didn&#39;t tell which version of Emacs you used (I used =
the<br>
&gt; latest development sources).<br><br>GNU Emacs 25.0.50.1 (x86_64-unknow=
n-linux-gnu, GTK+ Version 3.10.9) of 2015-08-27,<br></div><div>a fairly rec=
ent trunk.<br><br></div><div>Paul<br><br></div></div></div></div></div>

--001a1141f37eac7869052158595c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21617; Package emacs. Full text available.

Message received at 21617 <at> debbugs.gnu.org:


Received: (at 21617) by debbugs.gnu.org; 5 Oct 2015 09:25:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 05:25:41 2015
Received: from localhost ([127.0.0.1]:54846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zj21d-0008UK-A0
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2015 05:25:41 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:51021)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zj21b-0008UB-1p
 for 21617 <at> debbugs.gnu.org; Mon, 05 Oct 2015 05:25:40 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NVQ00000PXHGZ00@HIDDEN> for 21617 <at> debbugs.gnu.org;
 Mon, 05 Oct 2015 12:25:37 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NVQ000OUQ6O0F60@HIDDEN>;
 Mon, 05 Oct 2015 12:25:37 +0300 (IDT)
Date: Mon, 05 Oct 2015 12:25:36 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21617: Emacs compilation mode prevents child processes
 from	spawning/forking daemons
In-reply-to: <CAG7BpaqKornYbZ=SYvGopw9tj+VrByRjYLQUigror76kBsg5CQ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Message-id: <83pp0tzmy7.fsf@HIDDEN>
References: <CAG7BpaqKornYbZ=SYvGopw9tj+VrByRjYLQUigror76kBsg5CQ@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21617
Cc: 21617 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 5 Oct 2015 10:58:33 +0200
> From: Paul Pogonyshev <pogonyshev@HIDDEN>
> 
> By comparison, when run from Emacs M-x compile, Gradle starts daemon every
> time, so all builds look like the first example above. However, if daemon
> already exists (e.g. created by console run above), it will not be killed.
> 
> File '~/.gradle/daemon/VERSION/daemon-PID.out.log' for daemons spawned after
> M-x compile ends with this line:
> 
> Daemon vm is shutting down... The daemon has exited normally or was terminated
> in response to a user interrupt.
> 
> When daemon is allowed to exist (e.g. when run from a normal console), log
> receives this message instead:
> 
> ... Daemon is idle, sleeping until state change or idle timeout at ...
> 
> Additionally, I checked several other ways to run process from Emacs:
> 
> * M-x eshell: daemon is killed, as with M-x compile
> * M-x shell: daemon works properly
> * M-!: daemon works properly
> 
> So, it seems that Emacs has a way to keep daemons alive / not kill them, but it
> is not used in compilation mode.

I just tried

  M-x compile RET C-a C-k emacs -Q -daemon RET

and that started a daemon which stayed up in the air and didn't exit
or get killed.  If you see the same on your system, then Gradle,
whatever that is, is indeed somehow involved in this, because without
it everything works as you expected.

Also, you didn't tell which version of Emacs you used (I used the
latest development sources).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21617; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2015 08:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 04:58:41 2015
Received: from localhost ([127.0.0.1]:54837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zj1bU-0007rF-Rs
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2015 04:58:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60609)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj1bS-0007r7-K0
 for submit <at> debbugs.gnu.org; Mon, 05 Oct 2015 04:58:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj1bR-0002LU-9B
 for submit <at> debbugs.gnu.org; Mon, 05 Oct 2015 04:58:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38998)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj1bR-0002LJ-66
 for submit <at> debbugs.gnu.org; Mon, 05 Oct 2015 04:58:37 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42378)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj1bQ-0007Lh-5W
 for bug-gnu-emacs@HIDDEN; Mon, 05 Oct 2015 04:58:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj1bP-0002Hu-6O
 for bug-gnu-emacs@HIDDEN; Mon, 05 Oct 2015 04:58:36 -0400
Received: from mail-ig0-x230.google.com ([2607:f8b0:4001:c05::230]:38284)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1Zj1bP-0002GK-0e
 for bug-gnu-emacs@HIDDEN; Mon, 05 Oct 2015 04:58:35 -0400
Received: by igxx6 with SMTP id x6so52722386igx.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 05 Oct 2015 01:58:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=mycewYDuWcAbaiXOBfdWJarMKejGQKTns03GHSo4jCQ=;
 b=TohoWCMVnw/OzYSuBhQOX5QWEZmp4rjWFZuMMj/HhNsyECtaTxrRVMz0LuJ/80Y/E9
 5Ku0uesd8p2+MwrUi1K28X+/J/GHJWicUoD0/B4vbbsp7qzAX3m0osY1Nf4+WR0lavI2
 DGtofFXVSjGHSZo9ZPNteZZpQqvHs6f+Hjmz95ZtwB1JgbnTEAI0FG24nk+njID6QCFz
 dN/aFupYpmwjN1SAsapAkbKcANeDjPm0uZd99+nrJPTRxe2nQ/kHNCfuk2/2xR3Jt4OZ
 jPNsOM1L85jc82KkctUQadf6ll6dZogQNG2L+PHbSvL3tRapUEQOqZjIty/+HC31hrtM
 sK6g==
MIME-Version: 1.0
X-Received: by 10.50.87.69 with SMTP id v5mr8544233igz.2.1444035514013; Mon,
 05 Oct 2015 01:58:34 -0700 (PDT)
Received: by 10.36.25.67 with HTTP; Mon, 5 Oct 2015 01:58:33 -0700 (PDT)
Date: Mon, 5 Oct 2015 10:58:33 +0200
Message-ID: <CAG7BpaqKornYbZ=SYvGopw9tj+VrByRjYLQUigror76kBsg5CQ@HIDDEN>
Subject: Emacs compilation mode prevents child processes from spawning/forking
 daemons
From: Paul Pogonyshev <pogonyshev@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=047d7bf17eeadb208a052157b7fe
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--047d7bf17eeadb208a052157b7fe
Content-Type: text/plain; charset=UTF-8

This can be reproduced with Gradle, but you don't need a Gradle project for
this. When running from a normal console:

    $ gradle
    Starting a new Gradle Daemon for this build (subsequent builds will be
faster).

    :help
    ...
    Total time: 2.014 secs

Now if I repeat it, the daemon is reused, so the first message is gone and
the "build" goes much faster:

    $ gradle
    :help
    ...
    Total time: 0.495 secs

By comparison, when run from Emacs M-x compile, Gradle starts daemon every
time, so all builds look like the first example above. However, if daemon
already exists (e.g. created by console run above), it will not be killed.

File '~/.gradle/daemon/VERSION/daemon-PID.out.log' for daemons spawned
after M-x compile ends with this line:

    Daemon vm is shutting down... The daemon has exited normally or was
terminated in response to a user interrupt.

When daemon is allowed to exist (e.g. when run from a normal console), log
receives this message instead:

    ... Daemon is idle, sleeping until state change or idle timeout at ...

Additionally, I checked several other ways to run process from Emacs:

    * M-x eshell: daemon is killed, as with M-x compile
    * M-x shell: daemon works properly
    * M-!: daemon works properly

So, it seems that Emacs has a way to keep daemons alive / not kill them,
but it is not used in compilation mode.

Paul

--047d7bf17eeadb208a052157b7fe
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64
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--047d7bf17eeadb208a052157b7fe--




Acknowledgement sent to Paul Pogonyshev <pogonyshev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21617; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 3 Apr 2018 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.